Subject: [bug#38455] [PATCH] doc: Mention how to test against make / guix pull breakage.

From: zimoun <[email-masked]>
Date: Tue, 3 Dec 2019 11:34:42 +0100

Hi Danny,

On Mon, 2 Dec 2019 at 20:33, Danny Milosavljevic <[email-masked]> wrote:

> good idea, but I use
>
> $ guix environment --pure guix --ad-hoc git guile-readline guile-json

I think that it is described here [1]

[1] https://guix.gnu.org/manual/en/guix.html#Building-from-Git

>From my point of view, the change should only concern how to test
"guix pull" by adding a bullet -- with a link to Building from Git and
 Running Test Suite.

> (Not using "--pure" is asking for trouble in my opinion)

I agree that --pure should be always added to avoid troubles.
Maybe it should be the default of "guix environment"?

Cheers,
simon